### Method

# Camel InternetAddress get

#### Declaration [src]

    gboolean
    camel_internet_address_get (
      CamelInternetAddress* addr,
      gint index,
      const gchar** namep,
      const gchar** addressp
    )

#### Description [src]

Get the address at `index`.

#### Parameters

`index`

  Type: `gint`

  Address’s array index.

`namep`

  Type: `const gchar**`

  Holder for the returned name, or `NULL`, if not required.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`addressp`

  Type: `const gchar**`

  Holder for the returned address, or `NULL`, if not required.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if such an address exists, or `FALSE` otherwise.